aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-config-grammar/APKBUILD
diff options
context:
space:
mode:
authorJeff Bilyk <jbilyk@gmail.com>2011-10-04 17:43:15 +0000
committerJeff Bilyk <jbilyk@gmail.com>2011-10-04 17:43:15 +0000
commit4f1d71fc0441161a0d57c478a0b3d9c798473128 (patch)
tree71f0e5a960990f660c5f84ad6204e0324e647452 /testing/perl-config-grammar/APKBUILD
parent1f2081f761343b51e91edf7a178cb9325fe23da8 (diff)
downloadaports-4f1d71fc0441161a0d57c478a0b3d9c798473128.tar.gz
aports-4f1d71fc0441161a0d57c478a0b3d9c798473128.tar.bz2
aports-4f1d71fc0441161a0d57c478a0b3d9c798473128.tar.xz
testing/perl-config-grammar: new aport
Diffstat (limited to 'testing/perl-config-grammar/APKBUILD')
-rw-r--r--testing/perl-config-grammar/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/testing/perl-config-grammar/APKBUILD b/testing/perl-config-grammar/APKBUILD
new file mode 100644
index 0000000000..e1fc3e9321
--- /dev/null
+++ b/testing/perl-config-grammar/APKBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-config-grammar
+_pkgreal=Config-Grammar
+pkgver=1.10
+pkgrel=0
+pkgdesc="A grammar-based, user-friendly config parser"
+url="http://search.cpan.org/dist/Config-Grammar/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DS/DSCHWEI/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="ce904f687f1ee9c70521142a2e0f15c9 Config-Grammar-1.10.tar.gz"